#define NewLine 0x0D0A

void RAM_BUFFER_Init(void);
char USART_RxChar(void);
void USART_TxDataByte(unsigned char data);
void Init(void);
void USART_Init(void);
void LCD_Reset(void);
void LCD_SendCmd(unsigned char cmd);
void LCD_SendData(unsigned char data,bool buffer);
void LCD_PoziceX(unsigned char x);
void LCD_PoziceY(unsigned char y);
void LCD_PoziceXY(unsigned char x,unsigned char y);
void LCD_Radek(unsigned char y);
void LCD_PoziceMatice(unsigned char x,unsigned char y);
void LCD_WriteChar(unsigned char znak,unsigned char mod,bool buffer,unsigned char offset);
void LCD_WriteUserChar(unsigned char znak, unsigned char mod,bool buffer,unsigned char offset);
void LCD_Home(void);
void LCD_Clr(void);
void LCD_Init(void);
void LCD_WriteStr(const char *data,unsigned char mod);
void LCD_WriteBitmap(unsigned char data,unsigned char typ);
void LCD_SetPixel(unsigned char X,unsigned char Y);
void LCD_WriteDataUserChar(unsigned char pozice,unsigned char *data);
void USART_TxData(const char *data);
void ShowCharset(unsigned char cast);
void ShowImage(unsigned char index);
void InstrukcniSada(unsigned char data);
void InstrukceTestuji(void);
void InstrukceSada1(void);
void InstrukceSada2(void);
void InstrukceSada3(void);
void InstrukceSmazat(void);
void InstrukceHome(void);
void InstrukceZnaky(unsigned char data);
void InstrukceBitmapa(unsigned char data);
void InstrukcePoziceXY(unsigned char data);
void InstrukcePoziceMaticeXY(unsigned char data);
void InstrukceZapisVlastnihoZnaku(unsigned char data);
void InstrukceSetPixel(unsigned char data);
